manifestVersion: 1
id: trilium-notes
category: files
name: Trilium Notes
version: "v0.102.2"
tagline: Создайте свою личную базу знаний с помощью Trilium Notes.
description: >-
  Функции
  
  
  - Заметки могут быть организованы в дерево произвольной глубины. Одну заметку можно разместить в нескольких местах дерева (см. клонирование).
  
  - Богатое редактирование заметок WYSIWYG, включая, например. таблицы, изображения и математические вычисления с автоформатом уценки
  
  - Поддержка редактирования заметок с исходным кодом, включая подсветку синтаксиса.
  
  - Быстрая и простая навигация между заметками, полнотекстовый поиск и подъем заметок.
  
  - Бесшовное управление версиями заметок
  
  - Атрибуты заметок можно использовать для организации заметок, выполнения запросов и расширенных сценариев.
  
  - Синхронизация с локальным сервером синхронизации (есть сторонняя служба для размещения сервера синхронизации)
  
  - Обмен (публикация) заметок в общедоступном Интернете.
  
  - Надежное шифрование заметок с детализацией для каждой заметки.
  
  - Создание эскизов схем с помощью встроенного Excalidraw (тип заметки «холст»)
  
  - Карты отношений и карты ссылок для визуализации заметок и их отношений.
  
  - Скрипты - см. Расширенные витрины.
  
  - REST API для автоматизации
  
  - Хорошо масштабируется как по удобству использования, так и по производительности до 100 000 заметок.
  
  - Сенсорный оптимизированный мобильный интерфейс для смартфонов и планшетов.
  
  - Ночная тема
  
  - Импорт и экспорт Evernote и Markdown
  
  - Web Clipper для удобного сохранения веб-контента.
developer: TriliumNext
website: https://github.com/TriliumNext
dependencies: []
repo: https://github.com/TriliumNext/Trilium
support: https://github.com/TriliumNext/Trilium/wiki
port: 3779
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
path: /#root
defaultUsername: ""
defaultPassword: ""
torOnly: false
submitter: Pranshu Agrawal
submission: https://github.com/getumbrel/dfwebos-apps/pull/199
releaseNotes: >-
  🚨 Этот выпуск содержит важные исправления безопасности. Всем пользователям настоятельно рекомендуется немедленно обновиться.
  
  
  Улучшения безопасности в версии 0.102.2:
    - Улучшена обработка содержимого SVG в общих маршрутах и основном API.
    - Улучшен рендеринг контента в редакторе диаграмм Mermaid.
    - Исправлены всплывающие уведомления для правильного экранирования содержимого.
    - Добавлена проверка атрибутов имени документа.
    - Добавлена проверка типа MIME для загрузки изображений через API.
    - При импорте больше не сохраняются идентификаторы именованных заметок во избежание потенциальных конфликтов.
    - OpenID Connect теперь использует более безопасный генератор случайных чисел.
  
  
  Полные примечания к выпуску доступны по адресу https://github.com/TriliumNext/Trilium/releases.